## golang-github-hhatto-gorst 0.0~git20181029.ca9f730

=== Makefile ===
all:
	@echo 'targets: cmd test nuke parser clean'

cmd:
	go build -v -o gorst cmd/gorst/main.go

test:
	go test -v

package: parser.leg.go
	go install -v

clean:
	go clean . ./...
	rm -rf ,,prevmd ,,pmd
	rm -f *.html gorst
	
parser:	parser.leg.go

nuke:
	rm -f parser.leg.go

install-packages:
	go get -v -u golang.org/x/tools/cmd/goimports

# LEG parser rules
#
ifeq ($(MAKECMDGOALS),parser)
include $(shell go list -f '{{.Dir}}' github.com/knieriem/peg)/Make.inc
%.leg.go: %.leg $(LEG)
	$(LEG) -verbose -switch -O all $< > $@
	goimports -w parser.leg.go
	go fmt parser.leg.go
endif


include misc/devel.mk

.PHONY: \
	all\
	cmd\
	nuke\
	test\
	package\
	parser\

=== debian/changelog ===
golang-github-hhatto-gorst (0.0~git20181029.ca9f730-3build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:15:27 +1200

golang-github-hhatto-gorst (0.0~git20181029.ca9f730-3) unstable; urgency=medium

  * Ship data directory in binary package again to fix autopkgtest
    (Closes: #1030955). Thanks to Nilesh Patra.

 -- Pirate Praveen <praveen@debian.org>  Thu, 13 Jul 2023 22:26:02 +0530

golang-github-hhatto-gorst (0.0~git20181029.ca9f730-2) unstable; urgency=medium

  * Remove test data from binary package (also remove privacy breach warning)
  * Fix typo in copyright file

 -- Pirate Praveen <praveen@debian.org>  Fri, 19 Nov 2021 14:10:54 +0530

golang-github-hhatto-gorst (0.0~git20181029.ca9f730-1) unstable; urgency=medium

  * Initial release (Closes: #999346)

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 Nov 2021 15:06:02 +0530

=== debian/control ===
Source: golang-github-hhatto-gorst
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-hhatto-gorst
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-hhatto-gorst.git
Homepage: https://github.com/hhatto/gorst
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/hhatto/gorst

Package: golang-github-hhatto-gorst-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Go implementation of reStructuredText
 This is a Go implementation of reStructuredText. developed on the basis of
 Go markdown module implemented by Michael Teichgräber.
 .
 Only Support for HTML output is implemented.

Package: gorst
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Go implementation of reStructuredText (command line)
 This is a Go implementation of reStructuredText. developed on the basis of
 Go markdown module implemented by Michael Teichgräber.
 .
 Only Support for HTML output is implemented.
 .
 This package provides command line interface for this implementation.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
  https://github.com/hhatto/gorst.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%!((string=golang-github-hhatto-gorst)?:.*?)?v?(\d[\d.]*)\.tar\.gz%!@(MISSING)PACKAGE@-$1.tar.gz%!,(MISSING)\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
#  https://github.com/hhatto/gorst/tags .*/v?(\d\S*)\.tar\.gz debian
